CMSIS-DSP: arm_biquad_casd_df1_inst_q31 Struct Reference

| CMSIS-DSP Version 1.8.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_biquad_casd_df1_inst_q31 Struct Reference

Instance structure for the Q31 Biquad cascade filter. More...

## Data Fields

uint32_t | numStages
q31_t * | pState
const q31_t * | pCoeffs
uint8_t | postShift

## Description

Examples:
  arm_graphic_equalizer_example_q31.c.

## Field Documentation

uint32_t arm_biquad_casd_df1_inst_q31::numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

const q31_t* arm_biquad_casd_df1_inst_q31::pCoeffs

Points to the array of coefficients. The array is of length 5*numStages.

uint8_t arm_biquad_casd_df1_inst_q31::postShift

Additional shift, in bits, applied to each output sample.

q31_t* arm_biquad_casd_df1_inst_q31::pState

Points to the array of state coefficients. The array is of length 4*numStages.